# Uses of Enum Class
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.EMFCompareStructureMergeViewerContentProvider.CallbackType

Packages that use EMFCompareStructureMergeViewerContentProvider.CallbackType
Package
Description
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Uses of EMFCompareStructureMergeViewerContentProvider.CallbackType in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Fields in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer declared as EMFCompareStructureMergeViewerContentProvider.CallbackType
Modifier and Type
Field
Description
`protected EMFCompareStructureMergeViewerContentProvider.CallbackType`
Navigatable.`uiSyncCallbackType`
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return EMFCompareStructureMergeViewerContentProvider.CallbackType
Modifier and Type
Method
Description
`static EMFCompareStructureMergeViewerContentProvider.CallbackType`
EMFCompareStructureMergeViewerContentProvider.CallbackType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EMFCompareStructureMergeViewerContentProvider.CallbackType[]`
EMFCompareStructureMergeViewerContentProvider.CallbackType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type EMFCompareStructureMergeViewerContentProvider.CallbackType
Modifier and Type
Method
Description
`void`
EMFCompareStructureMergeViewerContentProvider.`runWhenReady(EMFCompareStructureMergeViewerContentProvider.CallbackType type, Runnable runnable)`
Run the given runnable in the specified thread when then content provider is ready.